<wo:form>
  <wo:CktlAjaxSimpleTableView id = "$tableViewId" displayGroup = "$displayGroup"  item = "$currentItem" useFixedHeader = "false" onSelect = "$updateListePaiement" updateContainerID = "$buttonsContainerId">
    <wo:CktlAjaxSimpleTableViewHeader>
      <wo:CktlAjaxSimpleTableViewColumn rowspan = "2" label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneREH" />
      <wo:CktlAjaxSimpleTableViewColumn rowspan = "2" label = "$session.localizer.Enseignants.Colonne.Composante" />
      <wo:if condition = "$isCircuitDefinitif"> <wo:CktlAjaxSimpleTableViewColumn colspan = "5" label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneHeuresHETD" class = "center" /> </wo:if>
      <wo:else> <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneHeuresHETD" /> </wo:else>
    </wo:CktlAjaxSimpleTableViewHeader>
    <wo:CktlAjaxSimpleTableViewHeader2>
      <wo:conditional condition = "$isCircuitDefinitif">
        <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonnePrevu" />
        <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneRealise" />
        <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneAPayer" />
        <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonnePayees" />
        <wo:CktlAjaxSimpleTableViewColumn label = "$session.localizer.FicheServiceStatutaire.TableViews.ColonneResteAPayer" />
      </wo:conditional>
    </wo:CktlAjaxSimpleTableViewHeader2>
    <wo:CktlAjaxSimpleTableViewBody>
      <wo:if condition = "$afficherLigneRepartition">
        <td align = "left"><wo:string value = "$currentItem.reh.libelleCourt" /></td>
        <td align = "left"><wo:string value = "$currentItem.toStructure.lcStructure" /></td>
        <wo:if condition = "$isCircuitDefinitif">
          <td class = "cktl-right-align"> <wo:CktlNumber value = "$currentItem.heuresPrevues" /> </td>
          <td class = "cktl-right-align"><wo:CktlNumber value = "$currentItem.heuresRealisees" /> </td>
          <td class = "cktl-right-align"><wo:CktlNumber value = "$currentItem.heuresAPayer" /> </td>
          <td class = "cktl-right-align"><wo:CktlNumber value = "$currentItem.heuresPayees" /> </td>
          <td class = "cktl-right-align peche-colored-number"><wo:CktlNumber value = "$deltaHeuresPayeEtRealisePresentiel" /> </td>
        </wo:if>
        <wo:else>
          <td class = "cktl-right-align"> <wo:CktlNumber value = "$currentItem.heuresPrevues" /> </td>
        </wo:else>
      </wo:if>
    </wo:CktlAjaxSimpleTableViewBody>
    <wo:CktlAjaxSimpleTableViewFooter>
    <wo:if condition = "$isCircuitDefinitif">
      <td colspan = "2" style = "background-color : #FFFCF8;" >  </td>
      <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresPrevues" /></td>
      <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresRealisees" /></td> 
      <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresAPayer" /></td>
      <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresPayees" /></td>
      <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresRestantes" /></td>
      </wo:if>
        <wo:else>
        <td colspan = "2" style = "background-color : #FFFCF8;" >  </td>
        <td class = "cktl-right-align" style = "font-weight : bold;"><wo:CktlNumber value = "$sousTotalHeuresPrevues" /></td>
        </wo:else>
    </wo:CktlAjaxSimpleTableViewFooter>
  </wo:CktlAjaxSimpleTableView>
  <wo:AjaxUpdateContainer id = "$buttonsContainerId">
  <div>
  
    <wo:if condition = "$isCircuitDefinitif">
      <wo:AjaxUpdateContainer id = "listePaiementRepartitionREHId" style = "display: inline-block;">
        <wo:if condition = "$isHeuresPayeesOuAPayerNonNull"> <wo:ListePaiementParRepartition serviceDetail = "$selectedObject" parentAPSelected = "$rehLibelleLongCourt" /> </wo:if>
      </wo:AjaxUpdateContainer>
    </wo:if>
    
    <div style = "display: inline-block;">
      
        <wo:if condition = "$isCommentairePresent">
          <label><wo:string value = "$session.localizer.ServiceForm.commentaire" /> : </label>
          <br />
          <wo:text value = "$selectedObject.commentaire" cols = "10" style = "border-color:#BBD2E1; background-color: #F5FFFA; color:black;" disabled = "true" />
        </wo:if>
      
    </div>
  </div>
  <div>
    <!-- Delete and Edit Buttons -->

    <wo:if condition = "$autorisation.hasDroitUtilisationSaisieRehVacataire">
      <wo:CktlSubmitButton type = "add" action = "$ajouterAction" text = "$session.localizer.FicheServiceVacataire.Repartition.Ajouter" disabled = "$boutonsActifsRepartitionReh" />
      <wo:CktlSubmitButton type = "edit" action = "$modifierAction" text = "$session.localizer.FicheServiceVacataire.Repartition.Modifier" disabled = "$boutonModifierActifRepartitionReh" />
      <wo:CktlAjaxButton type = "delete" action = "$deleteAction" text = "$session.localizer.FicheServiceVacataire.Repartition.Supprimer" disabled = "$boutonSupprimerActifRepartitionReh" updateContainerID = "$tableViewId" onClickBefore = "$onClickBefore" />
    </wo:if>

  </div>
  </wo:AjaxUpdateContainer>
</wo:form>